Results 1 to 10 of 22

Thread: Ubuntu Plans To Stick To "Stable GNOME"

Hybrid View

  1. #1
    Join Date
    Jan 2007
    Posts
    15,138

    Default Ubuntu Plans To Stick To "Stable GNOME"

    Phoronix: Ubuntu Plans To Stick To "Stable GNOME"

    Ubuntu developers will be looking to stick to "stable" GNOME components and not closely track the unstable GNOME development releases within the Ubuntu 13.04 cycle. There's several reasons why Ubuntu will be distancing itself from the latest upstream GNOME packages...

    http://www.phoronix.com/vr.php?view=MTIxODQ

  2. #2
    Join Date
    Aug 2011
    Posts
    91

    Default

    Quote Originally Posted by phoronix View Post
    Among the GNOME components thay are interested in updating this cycle include dconf, glib, desrt, seb128, gobject-introspection, gvfs, and PiTiVi.
    Phoronix has no clue what it's writing about.

  3. #3
    Join Date
    Sep 2008
    Posts
    989

    Default

    Quote Originally Posted by 0xCAFE View Post
    Phoronix has no clue what it's writing about.
    I noticed those usernames in there too and loled.

    Also, isn't it a bit hypocritical to use any Rhythmbox later than 0.13.x (Gnome2 version) since RB 3.0 stable hasn't been released yet? Considering they want to stick with gnome stable, and RB isn't stable since 0.13.x (in fact the plugin API etc keeps changing a lot and there are outstanding bugs such as a broken program if you #include certain header files shipped in /usr/include/rhythmbox)

  4. #4
    Join Date
    Dec 2011
    Posts
    2,107

    Default

    I would hope they tracked GTK close.
    Because maybe latest GTK upstream contain more Wayland work.

    This controversial decision came about since tracking unstable GNOME is taking up resources that they could be instead investing in their (Unity) desktop
    We saw how Unity went when they had resources to invest there, we ended up with spyware and adware.

  5. #5
    Join Date
    May 2010
    Posts
    684

    Default

    This is probably for the best, ubuntu really needs to work on having less buggy/more polished releases. Building their own unity UI, while also working on integrating the newest unstable gnome stack during every release cycle was just too much.

  6. #6
    Join Date
    Jul 2012
    Posts
    287

    Default

    What a confusingly written article. It would be nice if at least some attempt at investigating the issues was done. E.g. GStreamer 1.0 migration is complete. The problem is that the default Ubuntu installation still requires 0.10 for packages not part of the GNOME core release set. Furthermore, the 1.0 freeze happened really late.

    But the way this is reported here: raise the bar please, I'm not telling anything new. I gave similar feedback before so I expect more when writing articles.

    At the moment you're attributing things to GNOME because your assumptions are wrong.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •